package com.ruoyi.traceability.mapper;

import java.util.List;
import com.ruoyi.traceability.domain.ProUprecord;

/**
 * 上料记录Mapper接口
 * 
 * @author wenjy
 * @date 2022-11-09
 */
public interface ProUprecordMapper 
{
    /**
     * 查询上料记录
     * 
     * @param id 上料记录主键
     * @return 上料记录
     */
    public ProUprecord selectProUprecordById(Long id);

    /**
     * 查询上料记录列表
     * 
     * @param proUprecord 上料记录
     * @return 上料记录集合
     */
    public List<ProUprecord> selectProUprecordList(ProUprecord proUprecord);

    /**
     * 新增上料记录
     * 
     * @param proUprecord 上料记录
     * @return 结果
     */
    public int insertProUprecord(ProUprecord proUprecord);

    /**
     * 修改上料记录
     * 
     * @param proUprecord 上料记录
     * @return 结果
     */
    public int updateProUprecord(ProUprecord proUprecord);

    /**
     * 删除上料记录
     * 
     * @param id 上料记录主键
     * @return 结果
     */
    public int deleteProUprecordById(Long id);

    /**
     * 批量删除上料记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProUprecordByIds(String[] ids);
}
